<div class="row">
    <div class="col-xs-12">
        <h2>Recipes  <a href="" ui-sref="app.recipeCreate" class="btn btn-primary">New recipe</a></h2>
    </div>
    <div class="col-md-9">
        <form class="" name="searchRecipeForm" ng-submit="vm.searchRecipe()">
            <div class="form-group" show-errors>
                <label>
                    Query:
                    <input class="form-control" ng-model="vm.recipeSearch.query" name="query" type="text" required>
                </label>
                <p class="help-block" ng-if="searchRecipeForm.query.$error.required">Search query is
                    required</p>
            </div>
            <div class="form-group">
                <label>
                    Health Labels: <tags-input ng-model="vm.recipeSearch.labels"
                                               add-on-blur="true"
                                               min-tags="0"
                                               add-from-autocomplete-only="true"
                                               allow-leftover-text="false"><auto-complete source="vm.labels($query)"></auto-complete></tags-input>
                </label>
            </div>
            <div class="form-group">
                <button class="btn btn-success">Search</button>
            </div>
        </form>
    </div>
    <div class="col-xs-12">
        <table class="table table-recipe table-responsive">
            <thead>
            <tr>
                <th>Image</th>
                <th>Details</th>
                <th>actions</th>
            </tr>
            </thead>
            <tbody infinite-scroll="vm.scrollingNext()" infinite-scroll-immediate-check="false">
            <tr ng-repeat="recipe in vm.recipes track by $index">
                <td>
                    <img class="img-responsive" width="80" ng-src="{{recipe.image}}" alt="">
                </td>
                <td>
                    <p><a ng-href="{{recipe.url}}" target="_blank">{{recipe.label}}</a> - {{recipe.provider}}</p>
                    <p><span ng-repeat="label in recipe.healthLabels" class="badge">{{label}}</span></p>
                </td>
                <td>
                    <div class="btn-group" uib-dropdown>
                        <button type="button" class="btn btn-danger" uib-dropdown-toggle>Actions <span
                                class="caret"></span></button>
                        <ul class="dropdown-menu" uib-dropdown-menu>
                            <li><a ui-sref="app.recipeEdit({slug: recipe._id})">Edit</a></li>
                            <li><a href="" ng-click="vm.recipeDelete(recipe)">Remove</a></li>
                        </ul>
                    </div>

                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
<script type="text/ng-template" id="recipeSearchResult.html">
    <div class="modal-header">
        <h3 class="modal-title">Recipe Search Results</h3>

    </div>
    <div class="modal-body" id="modal-body">
        <table class="table table-recipe table-responsive">
            <thead>
            <tr>
                <th>Image</th>
                <th>Details</th>
                <th>actions</th>
            </tr>
            </thead>
            <tbody infinite-scroll="vm.scrollingNext()" infinite-scroll-immediate-check="false" infinite-scroll-parent="true">
            <tr ng-repeat="recipe in vm.recipes track by $index">
                <td>
                    <img class="img-responsive" width="80" ng-src="{{recipe.image}}" alt="">
                </td>
                <td>
                    <p><a ng-href="{{recipe.url}}" target="_blank">{{recipe.label}}</a> - {{recipe.provider}}</p>
                    <p><span ng-repeat="label in recipe.healthLabels" class="badge">{{label}}</span></p>
                </td>
                <td>
                    <div class="btn-group" uib-dropdown>
                        <button type="button" class="btn btn-danger" uib-dropdown-toggle>Actions <span
                                class="caret"></span></button>
                        <ul class="dropdown-menu" uib-dropdown-menu>
                            <li><a ui-sref="app.recipeEdit({slug: recipe._id})" ng-click="vm.closeModal();">Edit</a></li>
                            <li><a href="" ng-click="vm.recipeDelete(recipe);vm.closeModal();">Remove</a></li>
                        </ul>
                    </div>

                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="modal-footer">
        <button class="btn btn-success" type="button" ng-click="vm.closeModal()">Close</button>
    </div>
</script>